%define __libtoolize :
%define momorel 1

Summary: A library for manipulating GIF format image files.
Name: libungif
Version: 4.1.3
Release: %{momorel}m
License: MIT/X
URL: http://sourceforge.net/projects/libungif
%NoSource 0 http://jaist.dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.bz2 8c198831cc0495596c78134b8849e9ad
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-root
# The following libgif.so handles packages built against the
# previous broken giflib package
Provides: libgif.so giflib
Obsoletes: giflib
BuildPreReq: netpbm-devel >= 9.10

%description
The libungif package contains a shared library of functions for
loading and saving GIF format image files.  The libungif library can
load any GIF file, but it will save GIFs only in uncompressed format
(i.e., it won't use the patented LZW compression used to save "normal"
compressed GIF files).

Install the libungif package if you need to manipulate GIF files.  You
should also install the libungif-progs package.

%package devel
Summary: Development tools for programs which will use the libungif library.
Group: Development/Libraries
Requires: %name = %{PACKAGE_VERSION}

%description devel
This package contains the static libraries, header files and
documentation necessary for development of programs that will use the
libungif library to load and save GIF format image files.

You should install this package if you need to develop programs which
will use libungif library functions.  You'll also need to install the
libungif package.

%package progs
Summary: Programs for manipulating GIF format image files.
Group: Applications/Multimedia
%description progs
The libungif-progs package contains various programs for manipulating
GIF format image files.

Install this package if you need to manipulate GIF format image files.
You'll also need to install the libungif package.

%prep
%setup -q -n %{name}-%{version}

%build
%configure
make all

%install
rm -rf %{buildroot}

%{makeinstall}
ln -sf libungif.so.%{version} %{buildroot}%{_libdir}/libgif.so.%{version}
ln -sf libgif.so.%{version} %{buildroot}%{_libdir}/libgif.so.4
ln -sf libgif.so.4 %{buildroot}%{_libdir}/libgif.so
ln -sf libungif.a %{buildroot}%{_libdir}/libgif.a

chmod 755 %{buildroot}%{_libdir}/*.so*
chmod 644 %{buildroot}%{_libdir}/*.a*
chmod 644 COPYING README UNCOMPRESSED_GIF NEWS ONEWS
chmod 644 ChangeLog TODO BUGS AUTHORS
chmod 644 doc/* util/giffiltr.c util/gifspnge.c

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files 
%defattr(-,root,root)
%doc COPYING README UNCOMPRESSED_GIF NEWS ONEWS
%doc ChangeLog TODO BUGS AUTHORS
%{_libdir}/lib*.so.*

%files devel
%defattr(-,root,root)
%doc doc/* util/giffiltr.c util/gifspnge.c
%{_libdir}/lib*.a
%{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/*.h

%files progs
%defattr(-,root,root)
%{_bindir}/*

%ChangeLog
* Fri Mar 11 2005 Toru Hoshina <t@momonga-linux.org>
- (4.1.3-1m)
- ver up. sync with FC3(4.1.3-1).

* Thu Aug  5 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (4.1.0-17m)
- import patch from FC2

* Fri Oct 31 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.1.0-16m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)
- delet define prefix
- use momorel
- use rpm macros

* Thu Jul 11 2002 Masahiro Takahata <takahata@momonga-linux.org>
- delete libungif-3.1.0

* Fri Jan 11 2002 Shingo Akagaki <dora@kondara.org>
- automake autoconf 1.5

* Wed Apr  4 2001 Shingo Akagaki <dora@kondara.org>
- build requires netpbm

* Tue Jul 25 2000 Kenzi Cano <kc@furukawa.ch.kagu.sut.ac.jp>
- rebuild againt netpbm-devel again.

* Wed Jul 05 2000 Toru Hoshina <t@kondara.org>
- rebuild against glibc-2.1.90, X-4.0, rpm-3.0.5.
- rebuild against netpbm-devel.

* Sun Apr 02 2000 Takaaki Tabuchi <tab@kondara.org>
- merge redhat-6.2 (4.1.0-4).

* Mon Feb 14 2000 Elliot Lee <sopwith@redhat.com> 4.1.0-4
- Add giflibcvs-small2crash.patch, which changes lib/dgif_lib.c to be
whatever is currently in the libungif CVS, thus fixing bug number 9315.

* Sat Feb  5 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- strip libraries
- update URL
- some specfile tweaks

* Mon Nov 8 1999 Toru Hoshina <t@kondara.org>
- be a NoSrc :-P

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Sun Mar 14 1999 Preston Brown <pbrown@redhat.com>
- include libungif 4.1.0 as standard library, with 3.1.0 backwards compat.

* Mon Jan 11 1999 Cristian Gafton <gafton@redhat.com>
- build for 6.0
- call libtoolize to make sure it will build on the arm

* Sat Oct 31 1998 Jeff Johnson <jbj@redhat.com>
- package for RH 5.2.

* Mon Sep 14 1998 Arne Coucheron <arneco@online.no>
  [3.1.0-3]
- major cleanups and changes to the spec file

* Mon Sep 7 1998 Toshio Kuratomi <badger@prtr-13.ucsc.edu>
- Upgrade to version 3.1.0 (which incorporates the patches in 3.0-4)
- Updated Source: and URL: to reflect change in directories/pages.

* Tue May 26 1998 Dick Porter <dick@cymru.net>
- Fixed some "warning: cast to pointer from integer of different size" on Alpha

* Tue May 5 1998 Marc Ewing <marc@redhat.com>
- Made it obsolete giflib and provide libgif.so and giflib (previous
  giflib packages were built incorrectly and packages built against
  it require libgif.so but work fine with this package)
- cleaned buildroot
- Removed Toshio as packager so he doesn't get yelled at when Red Hat
  breaks it :-)

* Fri Apr 24 1998 Toshio Kuratomi <badger@prtr-13.ucsc.edu>
- Initial revision of libungif, a giflib derivative modified to not use LZW
  compression.
